{ Обработка текста: Перевод в маленькие буквы (нижний регистр)             }
{--------------------------------------------------------------------------}
{ На входе - текст, на выходе - текст из маленьких букв                    }
{--------------------------------------------------------------------------}
var s:string;

function SmallAlpha(ps:string):string;
var i:integer;
begin
   for i:=1 to length(ps) do begin
     case ps[i] of
        'A'..'Z','А'..'П': inc(ps[i],32);
        'Р'..'Я'         : inc(ps[i],80);
     end;
   end;
   SmallAlpha:=ps;
end;

begin
     writeln('Введите любой текст'); readln(s);
     writeln('Этот же текст маленькими буквами:');
     writeln(SmallAlpha(s));
end.
